{$S-,R-,I-,V-,B-,F-,A-}
{$I TADEFINE.INC}

{*********************************************************}
{*                   TMSG70.PAS 7.00                     *}
{*       Copyright (c) 1993 by TurboPower Software.      *}
{*                 All rights reserved.                  *}
{*********************************************************}

unit TMsg70;
  {-Convert Windows message codes to strings}

interface

uses
  {$IFDEF UseTPRO}
  TpString;
  {$ELSE}
  OpString;
  {$ENDIF}

  function WMtoStr(Code : Word) : string;
    {-Convert a WM_XXX message code to a string}
  function CMtoStr(Code : Word) : string;
    {-Convert a CM_XXX message code to a string}
  function IDtoStr(Code : Word) : string;
    {-Convert an ID_XXX code to a string}

  {==========================================================================}

implementation

  function WMtoStr(Code : Word) : string;
    {-Convert a WM_XXX message code to a string}
  begin
    case Code of
      $0000 : WMtoStr := 'wm_Null';
      $0001 : WMtoStr := 'wm_Create';
      $0002 : WMtoStr := 'wm_Destroy';
      $0003 : WMtoStr := 'wm_Move';
      $0005 : WMtoStr := 'wm_Size';
      $0006 : WMtoStr := 'wm_Activate';
      $0007 : WMtoStr := 'wm_SetFocus';
      $0008 : WMtoStr := 'wm_KillFocus';
      $000A : WMtoStr := 'wm_Enable';
      $000B : WMtoStr := 'wm_SetRedraw';
      $000C : WMtoStr := 'wm_SetText';
      $000D : WMtoStr := 'wm_GetText';
      $000E : WMtoStr := 'wm_GetTextLength';
      $000F : WMtoStr := 'wm_Paint';
      $0010 : WMtoStr := 'wm_Close';
      $0011 : WMtoStr := 'wm_QueryEndSession';
      $0012 : WMtoStr := 'wm_Quit';
      $0013 : WMtoStr := 'wm_QueryOpen';
      $0014 : WMtoStr := 'wm_EraseBkGnd';
      $0015 : WMtoStr := 'wm_SysColorChange';
      $0016 : WMtoStr := 'wm_EndSession';
      $0017 : WMtoStr := 'wm_SystemError';
      $0018 : WMtoStr := 'wm_ShowWindow';
      $0019 : WMtoStr := 'wm_CtlColor';
      $001A : WMtoStr := 'wm_WinIniChange';
      $001B : WMtoStr := 'wm_DevModeChange';
      $001C : WMtoStr := 'wm_ActivateApp';
      $001D : WMtoStr := 'wm_FontChange';
      $001E : WMtoStr := 'wm_TimeChange';
      $001F : WMtoStr := 'wm_CancelMode';
      $0020 : WMtoStr := 'wm_SetCursor';
      $0021 : WMtoStr := 'wm_MouseActivate';
      $0022 : WMtoStr := 'wm_ChildActivate';
      $0023 : WMtoStr := 'wm_QueueSync';
      $0024 : WMtoStr := 'wm_GetMinMaxInfo';
      $0026 : WMtoStr := 'wm_PaintIcon';
      $0027 : WMtoStr := 'wm_IconEraseBkGnd';
      $0028 : WMtoStr := 'wm_NextDlgCtl';
      $002A : WMtoStr := 'wm_SpoolerStatus';
      $002B : WMtoStr := 'wm_DrawItem';
      $002C : WMtoStr := 'wm_MeasureItem';
      $002D : WMtoStr := 'wm_DeleteItem';
      $002E : WMtoStr := 'wm_VKeyToItem';
      $002F : WMtoStr := 'wm_CharToItem';
      $0030 : WMtoStr := 'wm_SetFont';
      $0031 : WMtoStr := 'wm_GetFont';
      $0037 : WMtoStr := 'wm_QueryDragIcon';
      $0039 : WMtoStr := 'wm_CompareItem';
      $0041 : WMtoStr := 'wm_Compacting';
      $0044 : WMtoStr := 'wm_CommNotify';
      $0046 : WMtoStr := 'wm_WindowPosChanging';
      $0047 : WMtoStr := 'wm_WindowPosChanged';
      $0048 : WMtoStr := 'wm_Power';
      $0081 : WMtoStr := 'wm_NCCreate';
      $0082 : WMtoStr := 'wm_NCDestroy';
      $0083 : WMtoStr := 'wm_NCCalcSize';
      $0084 : WMtoStr := 'wm_NCHitTest';
      $0085 : WMtoStr := 'wm_NCPaint';
      $0086 : WMtoStr := 'wm_NCActivate';
      $0087 : WMtoStr := 'wm_GetDlgCode';
      $00A0 : WMtoStr := 'wm_NCMouseMove';
      $00A1 : WMtoStr := 'wm_NCLButtonDown';
      $00A2 : WMtoStr := 'wm_NCLButtonUp';
      $00A3 : WMtoStr := 'wm_NCLButtonDblClk';
      $00A4 : WMtoStr := 'wm_NCRButtonDown';
      $00A5 : WMtoStr := 'wm_NCRButtonUp';
      $00A6 : WMtoStr := 'wm_NCRButtonDblClk';
      $00A7 : WMtoStr := 'wm_NCMButtonDown';
      $00A8 : WMtoStr := 'wm_NCMButtonUp';
      $00A9 : WMtoStr := 'wm_NCMButtonDblClk';
      $0100 : WMtoStr := 'wm_KeyFirst';
      $0100 : WMtoStr := 'wm_KeyDown';
      $0101 : WMtoStr := 'wm_KeyUp';
      $0102 : WMtoStr := 'wm_Char';
      $0103 : WMtoStr := 'wm_DeadChar';
      $0104 : WMtoStr := 'wm_SysKeyDown';
      $0105 : WMtoStr := 'wm_SysKeyUp';
      $0106 : WMtoStr := 'wm_SysChar';
      $0107 : WMtoStr := 'wm_SysDeadChar';
      $0108 : WMtoStr := 'wm_KeyLast';
      $0110 : WMtoStr := 'wm_InitDialog';
      $0111 : WMtoStr := 'wm_Command';
      $0112 : WMtoStr := 'wm_SysCommand';
      $0113 : WMtoStr := 'wm_Timer';
      $0114 : WMtoStr := 'wm_HScroll';
      $0115 : WMtoStr := 'wm_VScroll';
      $0116 : WMtoStr := 'wm_InitMenu';
      $0117 : WMtoStr := 'wm_InitMenuPopup';
      $011F : WMtoStr := 'wm_MenuSelect';
      $0120 : WMtoStr := 'wm_MenuChar';
      $0121 : WMtoStr := 'wm_EnterIdle';
      $0200 : WMtoStr := 'wm_MouseFirst';
      $0200 : WMtoStr := 'wm_MouseMove';
      $0201 : WMtoStr := 'wm_LButtonDown';
      $0202 : WMtoStr := 'wm_LButtonUp';
      $0203 : WMtoStr := 'wm_LButtonDblClk';
      $0204 : WMtoStr := 'wm_RButtonDown';
      $0205 : WMtoStr := 'wm_RButtonUp';
      $0206 : WMtoStr := 'wm_RButtonDblClk';
      $0207 : WMtoStr := 'wm_MButtonDown';
      $0208 : WMtoStr := 'wm_MButtonUp';
      $0209 : WMtoStr := 'wm_MButtonDblClk';
      $0209 : WMtoStr := 'wm_MouseLast';
      $0210 : WMtoStr := 'wm_ParentNotify';
      $0220 : WMtoStr := 'wm_MDICreate';
      $0221 : WMtoStr := 'wm_MDIDestroy';
      $0222 : WMtoStr := 'wm_MDIActivate';
      $0223 : WMtoStr := 'wm_MDIRestore';
      $0224 : WMtoStr := 'wm_MDINext';
      $0225 : WMtoStr := 'wm_MDIMaximize';
      $0226 : WMtoStr := 'wm_MDITile';
      $0227 : WMtoStr := 'wm_MDICascade';
      $0228 : WMtoStr := 'wm_MDIIconArrange';
      $0229 : WMtoStr := 'wm_MDIGetActive';
      $0230 : WMtoStr := 'wm_MDISetMenu';
      $0233 : WMtoStr := 'wm_DropFiles';
      $0300 : WMtoStr := 'wm_Cut';
      $0301 : WMtoStr := 'wm_Copy';
      $0302 : WMtoStr := 'wm_Paste';
      $0303 : WMtoStr := 'wm_Clear';
      $0304 : WMtoStr := 'wm_Undo';
      $0305 : WMtoStr := 'wm_RenderFormat';
      $0306 : WMtoStr := 'wm_RenderAllFormats';
      $0307 : WMtoStr := 'wm_DestroyClipboard';
      $0308 : WMtoStr := 'wm_DrawClipboard';
      $0309 : WMtoStr := 'wm_PaintClipboard';
      $030A : WMtoStr := 'wm_VScrollClipboard';
      $030B : WMtoStr := 'wm_SizeClipboard';
      $030C : WMtoStr := 'wm_AskCBFormatName';
      $030D : WMtoStr := 'wm_ChangeCBChain';
      $030E : WMtoStr := 'wm_HScrollClipboard';
      $030F : WMtoStr := 'wm_QueryNewPalette';
      $0310 : WMtoStr := 'wm_PaletteIsChanging';
      $0311 : WMtoStr := 'wm_PaletteChanged';
      $0380 : WMtoStr := 'wm_PenWinFirst';
      $038F : WMtoStr := 'wm_PenWinLast';
      $0390 : WMtoStr := 'wm_Coalesce_First';
      $039F : WMtoStr := 'wm_Coalesce_Last';
      else    WMtoStr := Long2Str(Code);
    end;
  end;

  function CMtoStr(Code : Word) : string;
    {-Convert a CM_XXX message code to a string}
  begin
    case Code of
      $5F00 : CMtoStr := 'cm_EditCut';
      $5F01 : CMtoStr := 'cm_EditCopy';
      $5F02 : CMtoStr := 'cm_EditPaste';
      $5F03 : CMtoStr := 'cm_EditDelete';
      $5F04 : CMtoStr := 'cm_EditClear';
      $5F05 : CMtoStr := 'cm_EditUndo';
      $5F06 : CMtoStr := 'cm_EditFind';
      $5F07 : CMtoStr := 'cm_EditReplace';
      $5F08 : CMtoStr := 'cm_EditFindNext';
      $5F09 : CMtoStr := 'cm_FileNew';
      $5F0A : CMtoStr := 'cm_FileOpen';
      $5F0B : CMtoStr := 'cm_MDIFileNew';
      $5F0C : CMtoStr := 'cm_MDIFileOpen';
      $5F0D : CMtoStr := 'cm_FileSave';
      $5F0E : CMtoStr := 'cm_FileSaveAs';
      $5F0F : CMtoStr := 'cm_ArrangeIcons';
      $5F10 : CMtoStr := 'cm_TileChildren';
      $5F11 : CMtoStr := 'cm_CascadeChildren';
      $5F12 : CMtoStr := 'cm_CloseChildren';
      $5F13 : CMtoStr := 'cm_CreateChild';
      $5F14 : CMtoStr := 'cm_Exit';
      else    CMtoStr := Long2Str(Code);
    end;
  end;

  function IDtoStr(Code : Word) : string;
    {-Convert an ID_XXX code to a string}
  begin
    case Code of
      1 : IDtoStr := 'id_Ok';
      2 : IDtoStr := 'id_Cancel';
      3 : IDtoStr := 'id_Abort';
      4 : IDtoStr := 'id_Retry';
      5 : IDtoStr := 'id_Ignore';
      6 : IDtoStr := 'id_Yes';
      7 : IDtoStr := 'id_No';
      else IDtoStr := Long2Str(Code);
    end;
  end;

end.
